<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="fragment"
            type="com.example.imagelistapplication.presentation.detail.ImageDetailFragment"/>
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/image"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>

            <TextView
                android:id="@+id/image_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="10dp"
                android:text="@{fragment.image.content}"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp">

                <ProgressBar
                    android:id="@+id/saving_image_progressbar"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:max="100"
                    android:progress="0"
                    android:indeterminate="false"/>

                <TextView
                    android:id="@+id/saving_image_textview"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/init_saving_image_text"/>
            </LinearLayout>
        </LinearLayout>

        <ProgressBar
            android:id="@+id/image_progressbar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_centerHorizontal="true"
            android:visibility="visible"/>

        <android.support.design.widget.FloatingActionButton
            android:id="@+id/image_save_fab"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/fab_margin"
            android:visibility="invisible"
            android:layout_alignParentBottom="true"
            android:layout_alignParentRight="true"
            android:onClick="@{() -> fragment.onImageSaveFabClick()}"
            app:srcCompat="@android:drawable/ic_menu_save" />
    </RelativeLayout>
</layout>